#!/bin/bash

source ../common/common.def
ROOT=$(realpath $DEP_DIR)

# Update pkgconfig files
ESC_ROOT=$(echo "${ROOT}" | sed 's/\//\\\//g')
for pc in deps/lib/pkgconfig/*.pc; do
	if [ -L $pc ]; then
		# Skip symlinks
		continue
	fi

	echo "patching ${pc}"
	cat $pc | sed 's/^prefix=.*/prefix=\"'$ESC_ROOT'\"/' > tmp
	mv tmp $pc
done

# Write build environment setup file
source arch.def
SETUP_SCRIPT="deps/buildenv.def"
echo "writing $SETUP_SCRIPT"
echo "MKXP_PREF=\"$ROOT\"" > $SETUP_SCRIPT
echo "PKG_CONFIG_PATH=\"\$MKXP_PREF/lib/pkgconfig:/usr/$MINGW_ARCH/sys-root/mingw/lib/pkgconfig\"" >> $SETUP_SCRIPT
echo 'PATH="$MKXP_PREF/bin:$PATH"' >> $SETUP_SCRIPT
echo "HOST=\"$MINGW_ARCH\"" >> $SETUP_SCRIPT
